@import "../index";
@import "../rem";

.base {
    padding: rem(16px) 0;
    height: rem(73px);
    box-sizing: border-box;
    border-bottom: solid 1px var(--color-gray);
    display: flex;

    .backBtn, .descArea {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .backBtn {
        padding-left: rem(8px);
        margin-right: rem(8px);
        align-items: center;

        &:active svg path {
            fill: var(--btn-blue-700);
        }
    }

    .descArea {
        flex-grow: 1;
        overflow: hidden;

        &:first-child {
            margin-left: rem(24px);
        }

        .title, .description-text {
            display: inline-block;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }

    .toolbox {
        display: flex;
        flex-shrink: 0;
        align-items: center;
    }
}

.description {
    padding: rem(12px) 0;
}
